-module(relation2).
-export([sum/2,fact/1,square/1,inc/1,doub/1]).

sum(X, Y) ->
  X + Y.

fact(0) -> 1;
fact(N) ->
  N * fact(N - 1).

square(X) -> X * X.

inc(X) -> X + 1.

doub(X) -> relation2t:double(X).

